Subject: bug#56316: Problem installing on hardware

From: Steve Greenburg <[email-masked]>
Date: Thu, 30 Jun 2022 05:32:07 +0000

I wasn't able to install guix on hardware on a GPT partitioned drive. First I thought it was because I deleted sdc6 and remade it, but after rebooting got the same error. I use dd to copy the iso image to a thumb drive and boot from it in UEFI, then go through the installer which fails at the partitioning step. the other partitions sdc3-sdc5 have linux installs already. Tried to put it on sdc6 and put mount point /
Here is the backtrace. Is there anything I can do to investigate further and install guix?

In gnu/system/uuid.scm:
    319:2 19 (uuid->string . _)
In ice-9/boot-9.scm:
  1669:16 18 (raise-exception _ #:continuable? _)
  1667:16 17 (raise-exception _ #:continuable? _)
  1667:16 16 (raise-exception _ #:continuable? _)
  1667:16 15 (raise-exception _ #:continuable? _)
  1667:16 14 (raise-exception _ #:continuable? _)
  1667:16 13 (raise-exception _ #:continuable? _)
  1667:16 12 (raise-exception _ #:continuable? _)
  1667:16 11 (raise-exception _ #:continuable? _)
  1667:16 10 (raise-exception _ #:continuable? _)
  1667:16  9 (raise-exception _ #:continuable? _)
  1667:16  8 (raise-exception _ #:continuable? _)
  1667:16  7 (raise-exception _ #:continuable? _)
  1764:13  6 (_ #<&compound-exception components: (#<&error> #<&origin origin: "match"> #<&message message: "no matching pattern"> #<&irritants irritants: (#f ext4)> #<&exception-with-kind-and-arg…>)
In ice-9/eval.scm:
    619:8  5 (_ #(#(#<directory (guile-user) 7f6cf44e9c80> #<<installer> name: newt init: #<procedure init ()> exit: #<procedure exit ()> exit-error: #<procedure exit-error (file key args)> f…>) …))
    619:8  4 (_ #(#(#(#<directory (guile-user) 7f6cf44e9c80> #<<installer> name: newt init: #<procedure init ()> exit: #<procedure exit ()> exit-error: #<procedure exit-error (file key arg…>) …) #))
In ice-9/ports.scm:
   463:17  3 (call-with-output-file _ _ #:binary _ #:encoding _)
In ice-9/eval.scm:
    619:8  2 (_ #(#(#<directory (guile-user) 7f6cf44e9c80> match-error ("match" "no matching pattern" (#f ext4))) #<output: /tmp/last-installer-error 18>))
    159:9  1 (_ #(#(#<directory (guile-user) 7f6cf44e9c80> match-error ("match" "no matching pattern" (#f ext4))) #<output: /tmp/last-installer-error 18>))
In unknown file:
           0 (make-stack #t)
ice-9/eval.scm:159:9: Throw to key `match-error' with args `("match" "no matching pattern" (#f ext4))'.

Here is the partition layout (fdisk -l /dev/sdc):

Device         Start       End   Sectors  Size Type
/dev/sdc1       2048   1050623   1048576  512M EFI System
/dev/sdc2    1050624   9439231   8388608    4G Linux swap
/dev/sdc3    9439232 219152383 209713152  100G Linux filesystem
/dev/sdc4  219152384 303038463  83886080   40G Linux filesystem
/dev/sdc5  303038464 386924543  83886080   40G Linux filesystem
/dev/sdc6  386924544 500117503 113192960   54G Linux filesystem